#include "dlist.h"

#include <stdio.h>
#include <stdlib.h>

struct dlist *dlist_init(void)
{
    // TODO
    return NULL;
}

void dlist_clear(struct dlist *list)
{

}

size_t dlist_length(struct dlist *l)
{
    // TODO
    return 0;
}

void dlist_push_front(struct dlist *l, int data)
{
    // TODO
}

void dlist_push_back(struct dlist *l, int data)
{
    // TODO
}

void dlist_remove(struct dlist *list, int data)
{
    // TODO
}

struct dlist *dlist_from_str(char *str)
{
    // TODO
    return NULL;
}

struct node *dlist_find(struct dlist *list, int data)
{
    // TODO
    return NULL;
}

void dlist_print(struct dlist *l)
{
    // TODO
}

void dlist_concat(struct dlist *l1, struct dlist *l2)
{
    // TODO
}

void dlist_insert(struct dlist *l, int data, int i)
{
    // TODO
}
